<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Handler_AdmAccounts extends Controller_Handler {
        
        public function before() {
            $this->model = new Model_Admin_Accounts();
            $this->setAccessLevel(self::ACCESS_USER);
            parent::before();
        }
        
        public function action_getActivationForStudents()
        {
            $facultyID = $this->post->offsetGet('facultyID');
            $gradeNum = $this->post->offsetGet('gradeNum');
            $groupsHandled = array(); $i = 0;
            $studyGroups = $this->model->getStudyGroups($gradeNum, $facultyID);
            foreach ($studyGroups as $group)
            {
                $i++; $j = 0;
                $accounts = $this->model->getStudentsByStudyGroups($group['GroupID']);
                $groupsHandled[$i]['Grade'] = $gradeNum;
                $groupsHandled[$i]['Num'] = $group['GroupNum'];
                $groupsHandled[$i]['Spec'] = $group['SpecName'];
                foreach ($accounts as $row)
                {
                    $accInfo = $this->model->getAccountInfoByID($row['StudentAccID']);
                    if($code = $accInfo->get('AccCode'))
                    {
                        $j++;
                        $groupsHandled[$i]['People'][$j]['LastName'] = $row['StudentLast'];
                        $groupsHandled[$i]['People'][$j]['FirstName'] = $row['StudentFirst'];
                        $groupsHandled[$i]['People'][$j]['SecondName'] = $row['StudentSecond'];
                        $groupsHandled[$i]['People'][$j]['ActivationCode'] = $code;
                    }
                }
                $groupsHandled[$i]['PeopleCount'] = $j;
            }
            $mpdf = View_MPDF::factory('pdf/activationTemplate', array('Groups' => $groupsHandled, 
                'System' => array('Title' => ASSEMBLY_SYSTEM_NAME, 'Version' => ASSEMBLY_VERSION)));
            $cssPath = 'media/css/acTpl.css';
            $css = file_get_contents($cssPath);
            $mpdf->get_mpdf()->WriteHTML($css, 1);
            $mpdf->write_to_disk('media/pdf/activationTemplate.pdf');  
            $this->response->body($twig);
        }
        
        public function action_getActivationForTeachers()
        {
            
        }
}